### Method

# Camel StoreSearchIndex contains

since: 3.58

#### Declaration [src]

    gboolean
    camel_store_search_index_contains (
      CamelStoreSearchIndex* self,
      CamelStore* store,
      guint32 folder_id,
      const gchar* uid
    )

#### Description [src]

Checks whether a message identified by the `store`, `folder_id` and `uid` is included in the index `self`.

Note the `store` is not referenced, it’s compared pointer-wise, thus when a different instance of the same service as the one used in the `camel_store_search_index_add()` is used here, the message reference will not be found.

Available since: 3.58

#### Parameters

`store`

  Type: `CamelStore`

  A `CamelStore`.

  The data is owned by the caller of the method.

`folder_id`

  Type: `guint32`

  A folder ID, other than zero.

`uid`

  Type: `const gchar*`

  A message UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` when the message reference is included in the index `self`.